hspec-contrib-0.5.2: Contributed functionality for Hspec

Safe Haskell | None
Language | Haskell2010

Test.Hspec.Contrib.HUnit

Contents

- Interoperability with HUnit

Description

Synopsis

- fromHUnitTest :: Test -> Spec
- specListFromHUnitTest :: Test -> [SpecTree ()]

# Interoperability with HUnit

fromHUnitTest :: Test -> Spec Source #

Convert a HUnit test suite to a spec. This can be used to run existing HUnit tests with Hspec.

specListFromHUnitTest :: Test -> [SpecTree ()] Source #

`specListFromHUnitTest` is similar to `fromHUnitTest`, but it constructs a list of `SpecTree`s instead of a `Spec`.